<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "mod_text"	Pimp my Textfeld                   |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1e / March 2013 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen)************
if (isset($_POST['go'])) {
	$new_settings = $_POST;
    foreach ($activeModules['mod_text'] as $k=>$v) {
        if (!isset($_POST['cpomod_textNew'][$k])) continue;
        if (is_bool($activeModules['mod_text'][$k])) {
            $activeModules['mod_text'][$k] = (bool) $_POST['cpomod_textNew'][$k];
        } else {
			$activeModules['mod_text'][$k] = $_POST['cpomod_textNew'][$k];
		}
		if (array_key_exists($k, $new_settings['cpomod_textNew'])) unset($new_settings['cpomod_textNew'][$k]);
    }
    foreach ($new_settings['cpomod_textNew'] as $k=>$v) {
		$activeModules['mod_text'][$k] = $new_settings['cpomod_textNew'][$k];
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = '%s'", 
            addslashes(serialize($activeModules['mod_text'])),
			'mod_text'
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

require(CPO_BASEDIR.'_include/header.php');

if (!function_exists('modHelp'))  {
	function modHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}

printPageHeader(
    __('Text placeholder enhancement').' (mod_text)',
    __('In this view you can work on the text placeholder enhancement module (mod_text) settings.'),
	modHelp('settings','mod_text'),
	true,
	'modules'
);
include(CPO_BASEDIR.'_include/message.php');
include('./includes/producer.inc.php');

if(array_key_exists('mod_text', $activeModules))  {
	// table header {{{
	echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
	echo '<input type="hidden" name="go" value="1">';

	echo '<table class="colored" style="width: 100%;">';
	echo '<thead><tr>';

	echo '<th colspan="2"><span>'.__('mod_text settings').'</span></th>';

	echo '</tr></thead><tbody>';
	// }}}

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Month names:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<textarea rows="12" class="text" name="cpomod_textNew[month_names]" style="width: 150px; overflow: hidden;">' . $activeModules['mod_text']['month_names'] . '</textarea>';
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Calendar date format:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpomod_textNew[cal_date_format]" value="'.$activeModules['mod_text']['cal_date_format'].'" maxlength="30" size="30">';
		echo '<br />'.__('<b>Usage:</b> %d, %m, %Y are case sensitive placeholders for day, month and year.<br /><b>Examples:</b> %d.%m.%Y &nbsp; %Y-%m-%d &nbsp; %m/%d/%Y');
		echo '</td>';
	echo '</tr>';


	echo '<tr>';
		echo '<td class="leftrow">';
		echo '&nbsp;';
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
		echo '</td>';
	echo '</tr>';
	echo '</tbody></table>';
	}
	
	echo '</form>';

require(CPO_BASEDIR.'_include/footer.php');
?>
